import request from '@/utils/request'

// 查询商品配置列表
export function listOperationGoods(query) {
  return request({
    url: '/system/operationGoods/list',
    method: 'get',
    params: query
  })
}

// 查询商品配置详细
export function getOperationGoods(id) {
  return request({
    url: '/system/operationGoods/' + id,
    method: 'get'
  })
}

// 新增商品配置
export function addOperationGoods(data) {
  return request({
    url: '/system/operationGoods',
    method: 'post',
    data: data
  })
}

// 修改商品配置
export function updateOperationGoods(data) {
  return request({
    url: '/system/operationGoods',
    method: 'put',
    data: data
  })
}

// 删除商品配置
export function delOperationGoods(id) {
  return request({
    url: '/system/operationGoods/' + id,
    method: 'delete'
  })
}
